GET
/
v2
/
groups
List projected WhatsApp groups
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/groups \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "waha_group_id": "120363000000000000@g.us",
      "name": "Rolex Europe",
      "enabled": true,
      "last_seen_at_ms": 123,
      "participants_count": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

session_id
string<uuid>
query
string
enabled
boolean
cursor
string
page_size
integer
default:50
Required range: 1 <= x <= 1000

Response

Cursor page of WhatsApp groups.

items
object[]
required
has_more
boolean
required
next_cursor
string | null